/* 
ZLib license:
Copyright (c) 2011 Dirk de la Hunt

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.
*/

/*
Instances of these are simply passed to download threads, so store the input URL and output folder destination, as well as a handle to MonkeyBot itself, to send a "done" message
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "downloaditem.h"
#include "utils.h"

DownloadItem::DownloadItem()
{
}

DownloadItem::DownloadItem(const char *Url, const char *Input, MonkeyBot *Parent, const char *Path)
{
	parent = Parent;
	path   = 0;
	input  = 0;

	if (!Input)
		return;

	input.Duplicate(Input);
	if (!input.Length())
		return;

	path.Duplicate(Path);
	url.Duplicate(Url);
}

DownloadItem::~DownloadItem()
{
}

const char* DownloadItem::Input()
{
	return input;
}

const char* DownloadItem::Url()
{
	return url;
}

const char* DownloadItem::Path()
{
	return path;
}

void DownloadItem::SendText(const char *Message)
{
	if (parent)
		parent->SendText(Message);
}
